Yum uptade failed

In system Health i see this warning.

Yum update failing: yum update ‘*iworx’
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile

  • base: mirror.dst.ca
  • epel: mirror.dst.ca
  • extras: mirror.dst.ca
  • remi-php73: mirror.pit.teraswitch.com
  • remi-safe: mirror.pit.teraswitch.com
  • updates: mirror2.evolution-host.com
    Resolving Dependencies
    –> Running transaction check
    —> Package interworx.noarch 0:6.7.6-1784.iworx will be updated
    —> Package interworx.noarch 0:6.8.1-1801.iworx will be obsoleting
    —> Package interworx-horde.noarch 0:5.2.17-1784.iworx will be updated
    —> Package interworx-horde.noarch 0:5.2.17-1801.iworx will be an update
    —> Package interworx-hotfix.noarch 1:6.7.6.1784-1 will be obsoleted
    —> Package interworx-phpmyadmin.noarch 0:4.9.1-1760.iworx will be updated
    —> Package interworx-phpmyadmin.noarch 0:4.9.5-1784.iworx will be updated
    —> Package interworx-phpmyadmin.noarch 0:4.9.5-1801.iworx will be an update
    —> Package interworx-plugin-acronis.noarch 0:1.0-1784.iworx will be updated
    —> Package interworx-plugin-acronis.noarch 0:1.0-1801.iworx will be an update
    —> Package interworx-roundcube.noarch 0:1.3.6-1784.iworx will be updated
    —> Package interworx-roundcube.noarch 0:1.3.6-1801.iworx will be an update
    —> Package interworx-smarty.noarch 0:2.6.19-1784.iworx will be updated
    —> Package interworx-smarty.noarch 0:2.6.19-1801.iworx will be an update
    —> Package iworxphp72-php-ioncube-loader.x86_64 0:10.4.1-1.el7.iworx will be updated
    —> Package iworxphp72-php-ioncube-loader.x86_64 0:10.4.2-1.el7.iworx will be an update
    –> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size

Installing:
interworx noarch 6.8.1-1801.iworx interworx-release 34 M
replacing interworx-hotfix.noarch 1:6.7.6.1784-1
Updating:
interworx-horde noarch 5.2.17-1801.iworx interworx-release 15 M
interworx-phpmyadmin noarch 4.9.5-1801.iworx interworx-release 17 M
interworx-plugin-acronis noarch 1.0-1801.iworx interworx-release 102 k
interworx-roundcube noarch 1.3.6-1801.iworx interworx-release 11 M
interworx-smarty noarch 2.6.19-1801.iworx interworx-release 5.2 k
iworxphp72-php-ioncube-loader
x86_64 10.4.2-1.el7.iworx interworx-release 470 k

Transaction Summary

Install 1 Package
Upgrade 6 Packages

Total download size: 77 M
Downloading packages:
No Presto metadata available for interworx-release

Total 27 MB/s | 77 MB 00:02
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Updating : iworxphp72-php-ioncube-loader-10.4.2-1.el7.iworx.x86_64 1/16
Installing : interworx-6.8.1-1801.iworx.noarch 2/16
/home/interworx/bin
Updating : interworx-smarty-2.6.19-1801.iworx.noarch 3/16
Updating : interworx-phpmyadmin-4.9.5-1801.iworx.noarch 4/16
Updating : interworx-plugin-acronis-1.0-1801.iworx.noarch 5/16
Updating : interworx-horde-5.2.17-1801.iworx.noarch 6/16
warning: %post(interworx-horde-5.2.17-1801.iworx.noarch) scriptlet failed, exit status 102
Updating : interworx-roundcube-1.3.6-1801.iworx.noarch 7/16
/var/tmp/rpm-tmp.ot39WX: line 8: -n: command not found
error: %preun(interworx-phpmyadmin-4.9.5-1784.iworx.noarch) scriptlet failed, exit status 127
Cleanup : interworx-roundcube-1.3.6-1784.iworx.noarch 8/16
error: interworx-phpmyadmin-4.9.5-1784.iworx.noarch: erase failed
Cleanup : interworx-horde-5.2.17-1784.iworx.noarch 9/16
Erasing : 1:interworx-hotfix-6.7.6.1784-1.noarch 10/16
Cleanup : interworx-plugin-acronis-1.0-1784.iworx.noarch 11/16
/var/tmp/rpm-tmp.LWTdPM: line 8: -n: command not found
error: %preun(interworx-phpmyadmin-4.9.1-1760.iworx.noarch) scriptlet failed, exit status 127
error: interworx-phpmyadmin-4.9.1-1760.iworx.noarch: erase failed
Cleanup : interworx-smarty-2.6.19-1784.iworx.noarch 12/16
Cleanup : interworx-6.7.6-1784.iworx.noarch 13/16
Cleanup : iworxphp72-php-ioncube-loader-10.4.1-1.el7.iworx.x86_64 14/16
Gracefully restarting iworx-web: [ OK ]
Verifying : interworx-plugin-acronis-1.0-1801.iworx.noarch 1/16
Verifying : interworx-smarty-2.6.19-1801.iworx.noarch 2/16
Verifying : interworx-6.8.1-1801.iworx.noarch 3/16
Verifying : interworx-horde-5.2.17-1801.iworx.noarch 4/16
Verifying : interworx-roundcube-1.3.6-1801.iworx.noarch 5/16
Verifying : interworx-phpmyadmin-4.9.5-1801.iworx.noarch 6/16
Verifying : iworxphp72-php-ioncube-loader-10.4.2-1.el7.iworx.x86_64 7/16
Verifying : interworx-phpmyadmin-4.9.1-1760.iworx.noarch 8/16
Verifying : 1:interworx-hotfix-6.7.6.1784-1.noarch 9/16
Verifying : interworx-6.7.6-1784.iworx.noarch 10/16
Verifying : interworx-plugin-acronis-1.0-1784.iworx.noarch 11/16
Verifying : iworxphp72-php-ioncube-loader-10.4.1-1.el7.iworx.x86_64 12/16
Verifying : interworx-roundcube-1.3.6-1784.iworx.noarch 13/16
Verifying : interworx-smarty-2.6.19-1784.iworx.noarch 14/16
Verifying : interworx-horde-5.2.17-1784.iworx.noarch 15/16
Verifying : interworx-phpmyadmin-4.9.5-1784.iworx.noarch 16/16

Installed:
interworx.noarch 0:6.8.1-1801.iworx

Updated:
interworx-horde.noarch 0:5.2.17-1801.iworx
interworx-phpmyadmin.noarch 0:4.9.5-1801.iworx
interworx-plugin-acronis.noarch 0:1.0-1801.iworx
interworx-roundcube.noarch 0:1.3.6-1801.iworx
interworx-smarty.noarch 0:2.6.19-1801.iworx
iworxphp72-php-ioncube-loader.x86_64 0:10.4.2-1.el7.iworx

Replaced:
interworx-hotfix.noarch 1:6.7.6.1784-1

Failed:
interworx-phpmyadmin.noarch 0:4.9.1-1760.iworx
interworx-phpmyadmin.noarch 0:4.9.5-1784.iworx

Complete!

What can we do to solve this?

Hi

This looks like the issue reported this week earlier - see this thread and fix

What IW update are you using beta rc stable

IW Joseph was pushing out a fix last night I believe

If this is a different issue, please open a support ticket with IW

Many thanks and I hope that helps a little

John

Remove the following, they are old. I’ll check with support to see if were getting other updates with old phpmyadmin packages left over. But it looks like the update was actually good and everything that should have updated did.

To remove the above confirm the actual rpm names. eg
[[email protected] ~]# rpm -qa | grep phpmyadmin
interworx-phpmyadmin-4.9.5-1801.iworx.noarch
Should look something like above then remove 1760 and 1784 versions. eg
rpm -e interworx-phpmyadmin-4.9.1-1760.iworx.noarch

If there is anyone else with this issue please report it to support.interworx.com, this update was supposed to cleanup old not longer valid phpmyadmin installs. If yum failures related to old phpmyadmin versions are occurring it seems likely we have not got it quite right yet.